> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wardin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Feature Request



## OpenAPI

````yaml POST /v1/feature-requests
openapi: 3.0.0
info:
  title: Wardin API
  description: AI governance & observability platform — external REST API
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/feature-requests:
    post:
      tags:
        - feature-requests
      summary: Submit a new feature request for the tenant
      operationId: FeatureRequestsController_submit
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitFeatureRequestDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeatureRequestDto'
      security:
        - bearer: []
components:
  schemas:
    SubmitFeatureRequestDto:
      type: object
      properties:
        title:
          type: string
          example: MCP OAuth gateway
        description:
          type: string
          example: Connect Slack through Wardin auth
      required:
        - title
    FeatureRequestDto:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        description:
          type: string
        status:
          type: string
          enum:
            - open
            - planned
            - shipped
        createdAt:
          format: date-time
          type: string
      required:
        - id
        - title
        - description
        - status
        - createdAt
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````